<template>
<div class="simulateur-corps">

    <AddFields :calculPourcentageTotal="calculPourcentageTotal" :pourcentageRestantCondition="pourcentageRestantCondition" />

    <section>
        <MessageBox v-if="pourcentageTotal > 100" type="danger" :message="'Vous ne pouvez pas dépasser 100%, vous dépassez de '+Math.abs(pourcentageRestant)+'% '" />
        <MessageBox v-if="nombresuffrages == 0" type="danger" :message="'Vous ne pouvez pas exécuter la simulation avec un nombre de suffrage égal à 0 '" />
    </section>

    <section class="btn-simulation">
        <button :disabled="!!disabledButton" @click="swapComponent('body-resultat')" class="btn black-white simulation">{{ $t('simualteur.simulerresultats') }}</button>
    </section>
</div>
</template>


<script>

import AddFields from '@/components/simulateur/interaction/AddFields.vue'

import MessageBox from '@/components/simulateur/parts/MessageBox.vue'

import { villeGetters } from '@/store/ville.js';

export default {
    name: "BodyListesVille",
    data: function () {
        return {
          isError: false,
          isLoading: false,
          pourcentageRestant: 100,
          pourcentageRestantCondition: 100
        }
      },
      computed: {
          tour: villeGetters.tour
      },
      watch: {
          pourcentageTotal: function(){

              this.pourcentageRestantCondition = parseFloat(100 - this.pourcentageTotal).toFixed(2);
              this.pourcentageRestant = this.pourcentageRestantCondition;
              if(this.pourcentageRestantCondition < 0){
                    this.pourcentageRestantCondition = 0;
              }
          }
      },
    components: {
        AddFields,
        MessageBox
    },
    props: [
        'swapComponent',
        'calculPourcentageTotal',
        'pourcentageTotal',
        'disabledButton',
        'nombresuffrages'
    ]
};
</script>
